API Endpoint Reference / Printers

Read installed nozzle configuration and separate firmware reports

GET https://api.printhiv3d.com/v1/printers/{id}/nozzle-configurations

Operation ID readPrinterNozzleConfigurations. Requires the read API key scope.

Parameters

NameInTypeRequiredDescription
idpathuuidYes

Responses

StatusDescription
200Default Response

200 response fields

FieldTypeRequiredDescription
positionsobject[]Yes
reportedAtstring | nullYes

Example 200 response

{
  "positions": [
    {
      "key": "single",
      "name": "Nozzle",
      "targetKey": "single",
      "onToolhead": true,
      "empty": false,
      "illustration": "schematic",
      "reported": {
        "type": "Hardened steel",
        "diameterMm": 0.4
      },
      "configured": null,
      "access": {
        "kind": "editable"
      }
    }
  ],
  "reportedAt": "2026-11-13T08:00:00.000Z"
}